@use 'tools/config_mixins_mq' as mq;
@use 'settings/vars/colors' as c;

html,
body{
    scroll-behavior: smooth;
}

@include mq.media-up(xl){
    * {
        ::-webkit-scrollbar {
            width: 8px;
            height: 8px;
        }

        ::-webkit-scrollbar-track {
            background: #f1f1f1;
        }

        ::-webkit-scrollbar-thumb {
            background: #c1c1c1;
        }

        ::-webkit-scrollbar-thumb:hover {
            background: #A8A8A8;
        }
    }
}

body{
    color: #2E2E2E;
    background-color: #F5F5F5;
}

.bordev{
    border: 1px solid red;
}

.container{
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    padding-left: 16px;
    padding-right: 16px;
}

.container--challenge{
    max-width: 100%;

    @include mq.media-up(md){
        max-width: 93%;
    }

    @include mq.media-up(xl){
        max-width: 78%;
    }

    @include mq.media-up(xxl){
        max-width: 1268 + 32px;
    }
}
